Subject: bug#5440: 23.1; buffer-file-format encoding temp buffers not reentrant

From: Eli Zaretskii <[email-masked]>
Date: Sun, 24 Jul 2016 17:25:37 +0300

> From: Andrew Hyatt <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sun, 24 Jul 2016 01:06:05 -0400
> 
> >  -- Variable: format-alist
> >      This list contains one format definition for each defined file
> >      format.            ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
> >      ^^^^^^
> >
> > "Only one format definition per format."  But I think it won't do any
> > harm to specifically warn about violating that.
> >
> > Thanks.
> 
> I think the original bug report had one format definition for each
> defined file format, but was manipulating a file in one format while in
> another format function.

That's more than one format in disguise.

> How about I change the documentation to just warn not to manipulate
> other files in FROM-FN here?

Can you show a proposed patch?

Thanks.